Deployments
List deployments
Authorization
API key Deployments: readAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Deployments: read
Path Parameters
workspaceId*string
Format
uuiddeploymentCohortId*string
Response Body
application/json
application/problem+json
curl -X GET "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/deployment-cohorts/m3Yg84tDx7Rn/deployments"All deployments of the deployment cohort.
[ { "id": "p6Bh19qSj5Fw", "name": "Roll out 2.4.1", "deploymentCohortId": "m3Yg84tDx7Rn", "createdAt": "2026-01-12T09:00:00+00:00", "isActive": true, "artifacts": [ { "id": "s4Jm62wQb7Nz", "order": 0, "firmware": { "isMain": true, "slug": "main-application", "firmwareVersion": { "id": "r2Kt75mXc8Vd", "name": "2.4.1", "firmware": { "id": "q8Fd53pLn1Yr", "name": "Thermostat application" } } } } ], "deviceUpdateStateCounts": { "pending": 4, "inProgress": 2, "succeeded": 17, "failed": 1, "cancelled": 0 } }]